#include "sysdep.h"
#include "conf.h"
#include "structs.h"
#include "interpreter.h"
#include "utils.h"

const char *race_abbrevs[] = {
  "Hum",
  "Elf",
  "Gno",
  "Dwa",
  "\n"
};

const char *pc_race_types[] = {
  "Human",
  "Elf",
  "Gnome",
  "Dwarf",
  "\n"
};

/* The menu for choosing a race in interpreter.c: */
const char *race_menu =
"\r\n"
"Select a race:\r\n"
"  [H]uman\r\n"
"  [E]lf\r\n"
"  [G]nome\r\n"
"  [D]warf\r\n";

/*
 * The code to interpret a race letter (used in interpreter.c when a
 * new character is selecting a race).
 */
int parse_race(char arg)
{
  arg = LOWER(arg);

  switch (arg) {
  case 'h':
    return RACE_HUMAN;
    break;
  case 'e':
    return RACE_ELF;
    break;
  case 'g':
    return RACE_GNOME;
    break;
  case 'd':
    return RACE_DWARF;
    break;
  default:
    return RACE_UNDEFINED;
    break;
  }
}

long find_race_bitvector(char arg)
{
  arg = LOWER(arg);

  switch (arg) {
    case 'h':
      return (1 << 0);
      break;
    case 'e':
      return (1 << 1);
      break;
    case 'g':
      return (1 << 2);
      break;
    case 'd':
      return (1 << 3);
      break;
    default:
      return 0;
      break;
  }
}
